User asset
User Asset Search (Single Currency)
Either the UID or OpenID of the payee must exist, and if both are present, the OpenID takes precedence.
POST
/
platformapi
/
chainup
/
open
/
ouser
/
v2
/
userAccounts
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/ouser/v2/userAccounts
{
"code": "0",
"msg": "Success",
"data": {
"accounts": [
{
"uid": "202113",
"balance": "1000",
"type": "202"
"coinSymbol": "USDT",
"showName": "USDT",
},
{
"uid": "202113",
"balance": "1000",
"type": "201"
"coinSymbol": "USDT",
"showName": "USDT",
}
],
}
}
//"Type" refers to the corresponding account type
type = 201(User: Normal Balance)
type = 202(User: Frozen)
type = 207(Lockup Account)
type = 208(Storage Lockup Account)
type = 209(Storage Account)
type = 210(OTC Merchant Margin Account)
type = 217(User: OTC Normal Balance)
type = 218(User: OTC Frozen)
type = 230(User: Lockup token account V2)
type = 221(User: Frozen token from Innovation trial zone subscription)
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
openId
string
openId, userId must pass one, while passing, take openId.
userId
string
openId, userId must pass one, while passing, take openId.
coinSymbols
string
requiredCurrency type: e.g. BTC, USDT, BIKI, etc.; refer to the currency configuration in the exchange; multiple currencies are separated by commas: Example: "USDT,BTC,ETH".
Example: BTC
sign
string
requiredSignature
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
Response
200 - application/json
code
string
Return code.
Example: 0
msg
string
Success or failure message
Example: Success
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/ouser/v2/userAccounts
{
"code": "0",
"msg": "Success",
"data": {
"accounts": [
{
"uid": "202113",
"balance": "1000",
"type": "202"
"coinSymbol": "USDT",
"showName": "USDT",
},
{
"uid": "202113",
"balance": "1000",
"type": "201"
"coinSymbol": "USDT",
"showName": "USDT",
}
],
}
}
//"Type" refers to the corresponding account type
type = 201(User: Normal Balance)
type = 202(User: Frozen)
type = 207(Lockup Account)
type = 208(Storage Lockup Account)
type = 209(Storage Account)
type = 210(OTC Merchant Margin Account)
type = 217(User: OTC Normal Balance)
type = 218(User: OTC Frozen)
type = 230(User: Lockup token account V2)
type = 221(User: Frozen token from Innovation trial zone subscription)